path: /build/build/mark-stage3-seed-0.20241031.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - LUET_YES=true
  - HTTP_TIMEOUT=0
  - STAGE_VERSION=2024-10-31
  - RELEASE=mark
  prelude:
  - apk --no-cache add ca-certificates tar wget xz rsync curl
  - curl https://raw.githubusercontent.com/geaaru/luet/geaaru/contrib/config/get_luet_root.sh
    | sh
  - luet install repository/macaroni-distfiles && luet repo update
  - |
    mkdir /mark-stage3/etc -p && \
    luet install =${RELEASE}-terragon/stage3-amd64-0.20241031 && luet cleanup && \
    export BUILDPATH=`pwd` && \
    cd /mark-stage3 && tar xJpf /collections/mark/stage3-terragon.tar.xz --xattrs --numeric-owner && luet rm ${RELEASE}-terragon/stage3-amd64 && luet cleanup && \
    cp ${BUILDPATH}/ego.conf /mark-stage3/etc/ && \
    rm -rf /mark-stage3/lib64/modules/* && \
    rsync -A -a --delete --numeric-ids --recursive -d -H --one-file-system --xattrs --exclude '/mark-stage3/*'  --exclude '/etc/resolv.conf'  --exclude '/etc/hostname'  --exclude '/sys/' --exclude '/etc/hosts'  --exclude '/sys/*' --exclude '/proc/*' --exclude '/dev/pts/*' /mark-stage3/ / && \
    rm -rf /var/git/meta-repo/ -rf && \
    rm -rf /mark-stage3
  image: alpine
  seed: alpine
  package:
    name: mark-stage3
    version: "0.20241031"
    category: seed
    hidden: true
    buildtimestamp: 2024-11-09 07:52:37.573046479 +0000 UTC m=+212.925490049
    labels:
      distfiles.version: "0.20241031"
      package.version: "2024-10-31"
      release: mark
    treedir: /build/packages
  package_dir: ""
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: mark-stage3
  version: "0.20241031"
  category: seed
  hidden: true
  labels:
    distfiles.version: "0.20241031"
    package.version: "2024-10-31"
    release: mark
